PieChart.Data (JavaFX 19)
Description: declaration: module: javafx.controls, package: javafx.scene.chart, class: PieChart, class: Data

Module javafx.controls
Package javafx.scene.chart

# Class PieChart.Data

java.lang.Object
javafx.scene.chart.PieChart.Data

Enclosing class:
  PieChart

public static final class PieChart.Data extends Object
PieChart Data Item, represents one slice in the PieChart

Since:
  JavaFX 2.0

- ## Property Summary

  Properties
  Type
  Property
  Description
  `final ReadOnlyObjectProperty<PieChart>`
  `chart`
  The chart which this data belongs to.
  `final StringProperty`
  `name`
  The name of the pie slice
  `ReadOnlyObjectProperty<Node>`
  `node`
  Readonly access to the node that represents the pie slice.
  `final DoubleProperty`
  `pieValue`
  The value of the pie slice

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Data(String name, double value)`
  Constructs a PieChart.Data object with the given name and value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ReadOnlyObjectProperty<PieChart>`
  `chartProperty()`
  The chart which this data belongs to.
  `final PieChart`
  `getChart()`
  Gets the value of the property chart.
  `final String`
  `getName()`
  Gets the value of the property name.
  `Node`
  `getNode()`
  Returns the node that represents the pie slice.
  `final double`
  `getPieValue()`
  Gets the value of the property pieValue.
  `final StringProperty`
  `nameProperty()`
  The name of the pie slice
  `ReadOnlyObjectProperty<Node>`
  `nodeProperty()`
  Readonly access to the node that represents the pie slice.
  `final DoubleProperty`
  `pieValueProperty()`
  The value of the pie slice
  `final void`
  `setName(String value)`
  Sets the value of the property name.
  `final void`
  `setPieValue(double value)`
  Sets the value of the property pieValue.
  `String`
  `toString()`
  Returns a string representation of this `Data` object.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Property Details

  - ### chart

    public final ReadOnlyObjectProperty<PieChart> chartProperty
    The chart which this data belongs to.
    See Also:
      - `getChart()`

  - ### name

    public final StringProperty nameProperty
    The name of the pie slice
    See Also:
      - `getName()`
      - `setName(String)`

  - ### pieValue

    public final DoubleProperty pieValueProperty
    The value of the pie slice
    See Also:
      - `getPieValue()`
      - `setPieValue(double)`

  - ### node

    public ReadOnlyObjectProperty<Node> nodeProperty
    Readonly access to the node that represents the pie slice. You can use this to add mouse event listeners etc.
    See Also:
      - `getNode()`

- ## Constructor Details

  - ### Data

    public Data(String name, double value)
    Constructs a PieChart.Data object with the given name and value.
    Parameters:
      `name` - name for Pie
      `value` - pie value

- ## Method Details

  - ### getChart

    public final PieChart getChart()
    Gets the value of the property chart.
    Property description:
      The chart which this data belongs to.

  - ### chartProperty

    public final ReadOnlyObjectProperty<PieChart> chartProperty()
    The chart which this data belongs to.
    See Also:
      - `getChart()`

  - ### setName

    public final void setName(String value)
    Sets the value of the property name.
    Property description:
      The name of the pie slice

  - ### getName

    public final String getName()
    Gets the value of the property name.
    Property description:
      The name of the pie slice

  - ### nameProperty

    public final StringProperty nameProperty()
    The name of the pie slice
    See Also:
      - `getName()`
      - `setName(String)`

  - ### getPieValue

    public final double getPieValue()
    Gets the value of the property pieValue.
    Property description:
      The value of the pie slice

  - ### setPieValue

    public final void setPieValue(double value)
    Sets the value of the property pieValue.
    Property description:
      The value of the pie slice

  - ### pieValueProperty

    public final DoubleProperty pieValueProperty()
    The value of the pie slice
    See Also:
      - `getPieValue()`
      - `setPieValue(double)`

  - ### getNode

    public Node getNode()
    Returns the node that represents the pie slice. You can use this to add mouse event listeners etc.
    Returns:
      the node that represents the pie slice

  - ### nodeProperty

    public ReadOnlyObjectProperty<Node> nodeProperty()
    Readonly access to the node that represents the pie slice. You can use this to add mouse event listeners etc.
    See Also:
      - `getNode()`

  - ### toString

    public String toString()
    Returns a string representation of this `Data` object.
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `Data` object.